glibmm: Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > > Struct Template Reference

glibmm 2.30.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/mount.h>`

List of all members.

## Public Types
typedef Glib::RefPtr< Gio::Mount > | CppType
typedef GMount* | CType
typedef GMount* | CTypeNonConst
## Static Public Member Functions
static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template<>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

typedef Glib::RefPtr<Gio::Mount> Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::CppType

typedef GMount* Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::CType

typedef GMount* Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::CTypeNonConst

## Member Function Documentation

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::release_c_type | ( | CType | item | ) | `[inline, static]`

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::to_c_type | ( | const CppType& | item | ) | `[inline, static]`

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >::to_cpp_type | ( | const CType& | item | ) | `[inline, static]`